/**
 * Copyright 2008 Peach Jean Solutions
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.xj4.parameterized;

import org.xj4.XJ4TestClass;
import org.xj4.spi.MethodHandler;
import org.xj4.spi.MethodHandlerFactory;

/**
 * @author jbunting
 * @TODO Document Me!
 * Created by IntelliJ IDEA.
 * Date: Mar 4, 2008
 * Time: 4:17:53 PM
 */
public class ParameterizedMethodHandlerFactory implements MethodHandlerFactory {
  public MethodHandler create(XJ4TestClass testClass) {
    return new ParameterizedMethodHandler(testClass);
  }
}
