/**
 * Copyright 2008 Peach Jean Solutions
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *     http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.xj4.parameterized;

import org.xj4.spi.XJ4ExtensionProvider;
import org.xj4.spi.MethodHandlerFactory;

/**
 * Created by IntelliJ IDEA.
 * User: jbunting
 * Date: Nov 9, 2008
 * Time: 1:35:59 PM
 * To change this template use File | Settings | File Templates.
 */
public class ParameterizedExtensionProvider extends XJ4ExtensionProvider {
  @Override
  protected MethodHandlerFactory getMethodHandlerFactory() {
    return new ParameterizedMethodHandlerFactory();
  }
}
